Jump to content

Recommended Posts

Prestashop kurulumda 1724,1725,1730 gibi kurduktan sonra admin paneline gecilirken http 500 hatası veriyor. çözmek için 

setlocale(LC_COLLATE, $locale.'.UTF-8', $locale.'.utf8');
//setlocale(LC_CTYPE, $locale.'.UTF-8', $locale.'.utf8');
setlocale(LC_TIME, $locale.'.UTF-8', $locale.'.utf8');
setlocale(LC_NUMERIC, 'en_US.UTF-8', 'en_US.utf8');

altı cizili alanı başına // koyarak etkisiz hale getiriyoruz. Peki bunu etkisizleştirmek diger fonksiyonları bozar mı??? Acaba aldıgım resim ekleyememe, kombinasyon hataları bundan mıdır? Bunun dısında cozumu varmıdır???

Share this post


Link to post
Share on other sites

  Paylaştığınız düzenlemeyi sanırım  5-6 yıl önce ben yapmıştım.

Aldığınız hataların bununla ilgisi görünmüyor. 

Fakat bunu yapmak yerel tarih formatı fiyat gösterimi ve saat dilimi gibi yerellestirme fonksiyonlarını etkileyebilir. Şimdiye kadar hiç bir fonksiyonel sorun yaşandığını görmedim.

 

Fakat; bunu yapmak zorunda olmanızın sebebi sunucusunun prestashop ile uyumsuz olmasıdır. Aldığınız hataların da uyumsuzluklardan kaynaklanıyor olması lazım.

Edited by MahmutGulerce

Share this post


Link to post
Share on other sites

Sunucu uyumsuzlugundan kastınız nedir? Yani hangi özelliklere sahip bir sunucu da barındırmalıyım ki bu hataları almayayım???

KOmbinasyon hatalarını ve resim ekleyememe hatalarını çözdüm sanırım. Sunucumu boşaltıp yeniden CPANELdeki otomatik kurulumla kurdum. Kurarken JAVA ile ilgili bir hata verdi. Dosyanın uzerine yazılsınmı yada silermisiniz?? şeklinde bir hata idi. Anladım ki gizli klasörler arasında ki bu dosya benim Prestamın java ayarlarını bozuyor. Üzerine yazdırdım su anda 1.7.3 ile sorunsuz calısıyorum. Otomatik kurulum olunca ingilizce geldi sistem ama onu da türkçeleştirdim çevirilerden. default yapınca turkceyi http500 hatası verdi. Yani trkçe ile ilgili bir hata yukardaki şekilde çözdüm. Tabi baska problem cıkmazsa...

Share this post


Link to post
Share on other sites

Whoops, looks like something went wrong.

1/1ContextErrorException in FrameworkExtension.php line 418:Warning: get_cfg_var() has been disabled for security reasons

  1. in FrameworkExtension.php line 418
  2. at ErrorHandler->handleError('2', 'get_cfg_var() has been disabled for security reasons', '/home/tekirsof/public_html/vendor/symfony/symfony/src/Symfony/Bundle/FrameworkBundle/DependencyInjection/FrameworkExtension.php', '418', array('config' => array('engines' => array('twig'), 'hinclude_default_template' => null, 'form' => array('resources' => array('FrameworkBundle:Form')), 'loaders' => array()), 'ide' => null, 'container' => object(ContainerBuilder), 'loader' => object(XmlFileLoader), 'links' => array('textmate' => 'txmt://open?url=file://%%f&line=%%l', 'macvim' => 'mvim://open?url=file://%%f&line=%%l', 'emacs' => 'emacs://open?url=file://%%f&line=%%l', 'sublime' => 'subl://open?url=file://%%f&line=%%l')))
  3. at get_cfg_var('xdebug.file_link_format') in FrameworkExtension.php line 418
  4. at FrameworkExtension->registerTemplatingConfiguration(array('engines' => array('twig'), 'hinclude_default_template' => null, 'form' => array('resources' => array('FrameworkBundle:Form')), 'loaders' => array()), null, object(ContainerBuilder), object(XmlFileLoader)) in FrameworkExtension.php line 111
  5. at FrameworkExtension->load(array(array('assets' => array('version' => '1.7.0'), 'secret' => 't3rhthwjsj15btrsvwvv7metywrkhyzqrml1br5lmizyhzpl6qik75aq', 'translator' => array('fallbacks' => array('default')), 'router' => array('resource' => '/home/tekirsof/public_html/app/config/routing.yml', 'strict_requirements' => null), 'form' => null, 'csrf_protection' => null, 'validation' => array('enable_annotations' => true), 'serializer' => array('enable_annotations' => true), 'templating' => array('engines' => array('twig')), 'default_locale' => 'en-US', 'trusted_hosts' => null, 'trusted_proxies' => null, 'session' => array('handler_id' => null), 'fragments' => null, 'http_method_override' => true), array('router' => array('resource' => '/home/tekirsof/public_html/app/config/routing_dev.yml', 'strict_requirements' => true), 'profiler' => array('only_exceptions' => false))), object(ContainerBuilder)) in MergeExtensionConfigurationPass.php line 59
  6. at MergeExtensionConfigurationPass->process(object(ContainerBuilder)) in MergeExtensionConfigurationPass.php line 39
  7. at MergeExtensionConfigurationPass->process(object(ContainerBuilder)) in Compiler.php line 102
  8. at Compiler->compile(object(ContainerBuilder)) in ContainerBuilder.php line 583
  9. at ContainerBuilder->compile() in bootstrap.php.cache line 2758
  10. at Kernel->initializeContainer() in bootstrap.php.cache line 2533
  11. at Kernel->boot() in bootstrap.php.cache line 2564
  12. at Kernel->handle(object(Request), '1', false) in index.php line 86

 

BU HATA NEDİR??? dEBUG MODUNU AÇTIGIMDA ALIYORUM BU HATAYI...

Share this post


Link to post
Share on other sites

En son yazdığınız hata (aslında hata değil uyarı) önemli değil. 

Ama bu hatadan da görüldüğü üzere sizin sunucuda bir çok özellik kısıtlanmış görünüyor. 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More